# Saddle  
A file hosting service similar to Pomf and Uguu but without the public nature.  

## Requirements  
Python 3.7+  
PostgreSQL 11.5+  
Python packages: `wheel gunicorn aiohttp aiohttp_jinja2 asyncpg uvloop requests`  

## Install  
```
$ psql
postgres=# CREATE DATABASE "saddle";
postgres=# CREATE USER "saddle" WITH PASSWORD 'password';
postgres=# ALTER ROLE "saddle" SET client_encoding TO 'utf8';
postgres=# ALTER ROLE "saddle" SET default_transaction_isolation TO 'read committed';
postgres=# ALTER ROLE "saddle" SET timezone TO 'UTC';
postgres=# GRANT ALL PRIVILEGES ON DATABASE "saddle" TO "saddle";
postgres=# \q
```
1. Get on the floor  
2. Walk the dinosaur  

## Usage  
`gunicorn saddle:init_app --bind localhost:5000 --worker-class aiohttp.GunicornWebWorker`  
